summaryrefslogtreecommitdiff
path: root/t/t5300-pack-object.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
committerJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /t/t5300-pack-object.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
downloadgit-5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3.tar.gz
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5300-pack-object.sh')
-rwxr-xr-xt/t5300-pack-object.sh72
1 files changed, 36 insertions, 36 deletions
diff --git a/t/t5300-pack-object.sh b/t/t5300-pack-object.sh
index f336769836..ba7579c251 100755
--- a/t/t5300-pack-object.sh
+++ b/t/t5300-pack-object.sh
@@ -16,26 +16,26 @@ test_expect_success \
for i in a b c
do
dd if=/dev/zero bs=4k count=1 | tr "\\0" $i >$i &&
- git-update-index --add $i || return 1
+ git update-index --add $i || return 1
done &&
- cat c >d && echo foo >>d && git-update-index --add d &&
- tree=`git-write-tree` &&
- commit=`git-commit-tree $tree </dev/null` && {
+ cat c >d && echo foo >>d && git update-index --add d &&
+ tree=`git write-tree` &&
+ commit=`git commit-tree $tree </dev/null` && {
echo $tree &&
echo $commit &&
- git-ls-tree $tree | sed -e "s/.* \\([0-9a-f]*\\) .*/\\1/"
+ git ls-tree $tree | sed -e "s/.* \\([0-9a-f]*\\) .*/\\1/"
} >obj-list && {
- git-diff-tree --root -p $commit &&
+ git diff-tree --root -p $commit &&
while read object
do
- t=`git-cat-file -t $object` &&
- git-cat-file $t $object || return 1
+ t=`git cat-file -t $object` &&
+ git cat-file $t $object || return 1
done <obj-list
} >expect'
test_expect_success \
'pack without delta' \
- 'packname_1=$(git-pack-objects --window=0 test-1 <obj-list)'
+ 'packname_1=$(git pack-objects --window=0 test-1 <obj-list)'
rm -fr .git2
mkdir .git2
@@ -44,9 +44,9 @@ test_expect_success \
'unpack without delta' \
"GIT_OBJECT_DIRECTORY=.git2/objects &&
export GIT_OBJECT_DIRECTORY &&
- git-init &&
- git-unpack-objects -n <test-1-${packname_1}.pack &&
- git-unpack-objects <test-1-${packname_1}.pack"
+ git init &&
+ git unpack-objects -n <test-1-${packname_1}.pack &&
+ git unpack-objects <test-1-${packname_1}.pack"
unset GIT_OBJECT_DIRECTORY
cd "$TRASH/.git2"
@@ -66,7 +66,7 @@ cd "$TRASH"
test_expect_success \
'pack with REF_DELTA' \
'pwd &&
- packname_2=$(git-pack-objects test-2 <obj-list)'
+ packname_2=$(git pack-objects test-2 <obj-list)'
rm -fr .git2
mkdir .git2
@@ -75,9 +75,9 @@ test_expect_success \
'unpack with REF_DELTA' \
'GIT_OBJECT_DIRECTORY=.git2/objects &&
export GIT_OBJECT_DIRECTORY &&
- git-init &&
- git-unpack-objects -n <test-2-${packname_2}.pack &&
- git-unpack-objects <test-2-${packname_2}.pack'
+ git init &&
+ git unpack-objects -n <test-2-${packname_2}.pack &&
+ git unpack-objects <test-2-${packname_2}.pack'
unset GIT_OBJECT_DIRECTORY
cd "$TRASH/.git2"
@@ -96,7 +96,7 @@ cd "$TRASH"
test_expect_success \
'pack with OFS_DELTA' \
'pwd &&
- packname_3=$(git-pack-objects --delta-base-offset test-3 <obj-list)'
+ packname_3=$(git pack-objects --delta-base-offset test-3 <obj-list)'
rm -fr .git2
mkdir .git2
@@ -105,9 +105,9 @@ test_expect_success \
'unpack with OFS_DELTA' \
'GIT_OBJECT_DIRECTORY=.git2/objects &&
export GIT_OBJECT_DIRECTORY &&
- git-init &&
- git-unpack-objects -n <test-3-${packname_3}.pack &&
- git-unpack-objects <test-3-${packname_3}.pack'
+ git init &&
+ git unpack-objects -n <test-3-${packname_3}.pack &&
+ git unpack-objects <test-3-${packname_3}.pack'
unset GIT_OBJECT_DIRECTORY
cd "$TRASH/.git2"
@@ -137,13 +137,13 @@ test_expect_success \
'use packed objects' \
'GIT_OBJECT_DIRECTORY=.git2/objects &&
export GIT_OBJECT_DIRECTORY &&
- git-init &&
+ git init &&
cp test-1-${packname_1}.pack test-1-${packname_1}.idx .git2/objects/pack && {
- git-diff-tree --root -p $commit &&
+ git diff-tree --root -p $commit &&
while read object
do
- t=`git-cat-file -t $object` &&
- git-cat-file $t $object || return 1
+ t=`git cat-file -t $object` &&
+ git cat-file $t $object || return 1
done <obj-list
} >current &&
diff expect current'
@@ -154,11 +154,11 @@ test_expect_success \
export GIT_OBJECT_DIRECTORY &&
rm -f .git2/objects/pack/test-* &&
cp test-2-${packname_2}.pack test-2-${packname_2}.idx .git2/objects/pack && {
- git-diff-tree --root -p $commit &&
+ git diff-tree --root -p $commit &&
while read object
do
- t=`git-cat-file -t $object` &&
- git-cat-file $t $object || return 1
+ t=`git cat-file -t $object` &&
+ git cat-file $t $object || return 1
done <obj-list
} >current &&
diff expect current'
@@ -169,11 +169,11 @@ test_expect_success \
export GIT_OBJECT_DIRECTORY &&
rm -f .git2/objects/pack/test-* &&
cp test-3-${packname_3}.pack test-3-${packname_3}.idx .git2/objects/pack && {
- git-diff-tree --root -p $commit &&
+ git diff-tree --root -p $commit &&
while read object
do
- t=`git-cat-file -t $object` &&
- git-cat-file $t $object || return 1
+ t=`git cat-file -t $object` &&
+ git cat-file $t $object || return 1
done <obj-list
} >current &&
diff expect current'
@@ -182,7 +182,7 @@ unset GIT_OBJECT_DIRECTORY
test_expect_success \
'verify pack' \
- 'git-verify-pack test-1-${packname_1}.idx \
+ 'git verify-pack test-1-${packname_1}.idx \
test-2-${packname_2}.idx \
test-3-${packname_3}.idx'
@@ -190,7 +190,7 @@ test_expect_success \
'corrupt a pack and see if verify catches' \
'cat test-1-${packname_1}.idx >test-3.idx &&
cat test-2-${packname_2}.pack >test-3.pack &&
- if git-verify-pack test-3.idx
+ if git verify-pack test-3.idx
then false
else :;
fi &&
@@ -198,7 +198,7 @@ test_expect_success \
: PACK_SIGNATURE &&
cat test-1-${packname_1}.pack >test-3.pack &&
dd if=/dev/zero of=test-3.pack count=1 bs=1 conv=notrunc seek=2 &&
- if git-verify-pack test-3.idx
+ if git verify-pack test-3.idx
then false
else :;
fi &&
@@ -206,7 +206,7 @@ test_expect_success \
: PACK_VERSION &&
cat test-1-${packname_1}.pack >test-3.pack &&
dd if=/dev/zero of=test-3.pack count=1 bs=1 conv=notrunc seek=7 &&
- if git-verify-pack test-3.idx
+ if git verify-pack test-3.idx
then false
else :;
fi &&
@@ -214,7 +214,7 @@ test_expect_success \
: TYPE/SIZE byte of the first packed object data &&
cat test-1-${packname_1}.pack >test-3.pack &&
dd if=/dev/zero of=test-3.pack count=1 bs=1 conv=notrunc seek=12 &&
- if git-verify-pack test-3.idx
+ if git verify-pack test-3.idx
then false
else :;
fi &&
@@ -224,7 +224,7 @@ test_expect_success \
l=`expr $l - 20` &&
cat test-1-${packname_1}.pack >test-3.pack &&
dd if=/dev/zero of=test-3.idx count=20 bs=1 conv=notrunc seek=$l &&
- if git-verify-pack test-3.pack
+ if git verify-pack test-3.pack
then false
else :;
fi &&